<%- include('includes/head.ejs', {Title: 'Campagne BDE'}) %>
<link rel="stylesheet" type="text/css" href="css/hotLine.css">
<script src="js/soumettrePost.js" defer></script>
<head>
<body>
    <%- include('includes/header') %>
    <main>
        <video id="background-video" autoplay loop muted>
            <source src="video/videoBackground.mp4" type="video/mp4">
        </video>
        <div id="hiddenDiv">
            <h1>
                soumettre sa résolution
            </h1>
            <form method="post" enctype="multipart/form-data">
                <div>
                    <label for="image">Mettre l'image : </label>
                    <input type="file" id="image" name="image">
                </div>
                <div>
                    <label for="description">Ajouter une description</label>
                    <input type="text" name="description" id="description">
                </div>
                <button>soumettre la résolution</button>
            </form>
        </div>
        <div id="first_div">
            <div>
                <h1>
                    Demandes
                </h1>
                <p>
                    Ici vous pouvez demandez à un espion aguerri de vous livrer des crêpes. Aussi, vous pouvez tentez de valider la chasse au trésor du jour ! Pour cela il suffit d'envoyer une photo du ticket avec l'endroit où vous l'avez trouvé.
                </p>
            </div>
            <div id="secondDiv">
                <h2>
                    Commander
                </h2>
                <form action="/commandeCrepe" methode="POST">
                    <ul>
                        <li>
                            <label for="garniture">Sur votre crepe</label>
                            <input type="radio" name="garniture" value="nutella"> nutella
                            <input type="radio" name="garniture" value="confiture"> confiture
                        </li>
                        <li>
                            <label for="commentaire">Commentaire</label>
                            <input type="text" name="commentaire" id="commentaire">
                        </li>
                    </ul>
                    <button>
                        submit
                    </button>
                </form>
                <h2>
                    Commandes
                </h2>
                <% if (commandeData.length === 0) {%>
                    <h3>
                        Pas encore de commande
                    </h3>
                <% } %>
                <% commandeData.forEach(commande => { %>
                    <% if (!commande.isFinish) { %>
                        <h3>
                            <%= commande.nom %> <%= commande.prenom %>
                        </h3>
                        <p>
                            <%= commande.commentaire %>
                            <%= commande.garniture %>
                        </p>
                    <% } %>
                <% }) %>
            </div>
            <div id="thirdDiv">
                <h2>
                    Chasse au trésor
                </h2>
                <p>
                    Retrouve ici toutes les énigmes. Celles en vert sont déjà resolues alors dépéchez vous de résoudre les autres !
                </p>
                <% postData.forEach(post => { %>
                    <% if (post.isFinish) {%>
                        <div id="postFinish">
                            <h2><%= post.titre %></h2>
                            <p>
                                <%= post.commentairePost %>
                            </p>
                            <p>
                                Récompense : <%= post.recompense %>
                            </p>
                            <p>
                                statue : Accepté
                            </p>
                        </div>
                    <% } else {%>
                        <div id="postNotFinish">
                            <h2><%= post.titre %></h2>
                            <p>
                                Déscription : <%= post.commentaire %>
                            </p>
                            <p>
                                Récompense : <%= post.recompense %>
                            </p>
                            <p>
                                statue : en attente
                            </p>
                            <button id="but<%= post._id %>" data-post-id="<%= post._id %>">
                                Soummettre sa resolution
                            </button>
                        </div>
                    <% } %>
                <% }); %>
            </div>
        </div>
    </main>
</body>

